> For AI agents: the complete documentation index is available at [llms.txt](https://docs.snaptrade.com/llms.txt). Markdown versions of documentation pages are available by appending .md to the URL path.

# List account activities

GET https://api.snaptrade.com/accounts/{accountId}/activities

Returns all historical transactions for the specified account.

This endpoint is paginated with a default page size of 1000. The endpoint will return a maximum of 1000 transactions per request. See the query parameters for pagination options.

Transaction are returned in reverse chronological order, using the `trade_date` field.

This endpoint returns Daily data. Daily data is cached and refreshed once a day. Exact refresh timing may vary by brokerage.

If the connection has become disabled, it can no longer access the latest data from the brokerage, but will continue to return the last available cached state. Please see [this guide](/docs/fix-broken-connections) on how to fix a disabled connection.


Reference: https://docs.snaptrade.com/reference/Account%20Information/AccountInformation_getAccountActivities

## Code Examples

### TypeScript

```typescript

import { Snaptrade } from "snaptrade-typescript-sdk";

const snaptrade = new Snaptrade({
  clientId: "PARTNER_CLIENT_ID",
  consumerKey: "CONSUMER_KEY",
});

const response =
  await snaptrade.accountInformation.getAccountActivities(
    {
      accountId:
        "917c8734-8470-4a3e-a18f-57c3f2ee6631",
      userId: "snaptrade-user-123",
      userSecret:
        "adf2aa34-8219-40f7-a6b3-60156985cc61",
      startDate: "2022-01-24",
      endDate: "2022-01-24",
      type: "BUY,SELL,DIVIDEND",
    },
  );
console.log(response.data);

```

### Python

```python

from pprint import pprint
from snaptrade_client import SnapTrade

snaptrade = SnapTrade(
    client_id="PARTNER_CLIENT_ID",
    consumer_key="CONSUMER_KEY"
)

response = snaptrade.account_information.get_account_activities(
    account_id="917c8734-8470-4a3e-a18f-57c3f2ee6631",
    user_id="snaptrade-user-123",
    user_secret="adf2aa34-8219-40f7-a6b3-60156985cc61",
    start_date="2022-01-24",
    end_date="2022-01-24",
    type="BUY,SELL,DIVIDEND"
)
pprint(response.body)

```

## OpenAPI Specification

```yaml

openapi: 3.0.0
info:
  description: Connect brokerage accounts to your app for live positions and trading
  version: 1.0.0
  title: SnapTrade
  termsOfService: N/A
  contact:
    email: api@snaptrade.com
  x-konfig-ignore:
    potential-incorrect-type: true
  x-readme:
    explorer-enabled: false
paths:
  /accounts/{accountId}/activities:
    get:
      tags:
        - Account Information
      summary: List account activities
      operationId: AccountInformation_getAccountActivities
      description: >
        Returns all historical transactions for the specified account.


        This endpoint is paginated with a default page size of 1000. The
        endpoint will return a maximum of 1000 transactions per request. See the
        query parameters for pagination options.


        Transaction are returned in reverse chronological order, using the
        `trade_date` field.


        This endpoint returns Daily data. Daily data is cached and refreshed
        once a day. Exact refresh timing may vary by brokerage.


        If the connection has become disabled, it can no longer access the
        latest data from the brokerage, but will continue to return the last
        available cached state. Please see [this
        guide](/docs/fix-broken-connections) on how to fix a disabled
        connection.
      parameters:
        - in: path
          name: accountId
          required: true
          schema:
            description: >-
              Unique identifier for the connected brokerage account. This is the
              UUID used to reference the account in SnapTrade.
            type: string
            format: uuid
            example: 917c8734-8470-4a3e-a18f-57c3f2ee6631
        - in: query
          required: false
          name: startDate
          description: >-
            The start date (inclusive) of the transaction history to retrieve.
            If not provided, the default is the first transaction known to
            SnapTrade based on `trade_date`.
          schema:
            description: >-
              Date used to specify timeframe for a reporting call (in YYYY-MM-DD
              format). These dates are inclusive.
            type: string
            example: '2022-01-24'
            format: date
        - in: query
          required: false
          name: endDate
          description: >-
            The end date (inclusive) of the transaction history to retrieve. If
            not provided, the default is the last transaction known to SnapTrade
            based on `trade_date`.
          schema:
            description: >-
              Date used to specify timeframe for a reporting call (in YYYY-MM-DD
              format). These dates are inclusive.
            type: string
            example: '2022-01-24'
            format: date
        - in: query
          required: false
          name: offset
          description: >-
            An integer that specifies the starting point of the paginated
            results. Default is 0.
          schema:
            type: integer
            format: int32
            minimum: 0
        - in: query
          required: false
          name: limit
          description: >-
            An integer that specifies the maximum number of transactions to
            return. Default of 1000.
          schema:
            type: integer
            format: int32
            minimum: 1
        - in: query
          required: false
          name: type
          description: >
            Optional comma separated list of transaction types to filter by.
            SnapTrade does a best effort to categorize brokerage transaction
            types into a common set of values. Here are some of the most popular
            values:
              - `BUY` - Asset bought.
              - `SELL` - Asset sold.
              - `DIVIDEND` - Dividend payout.
              - `CONTRIBUTION` - Cash contribution.
              - `WITHDRAWAL` - Cash withdrawal.
              - `REI` - Dividend reinvestment.
              - `STOCK_DIVIDEND` - A type of dividend where a company distributes shares instead of cash
              - `INTEREST` - Interest deposited into the account.
              - `FEE` - Fee withdrawn from the account.
              - `TAX` - A tax related fee.
              - `OPTIONEXPIRATION` - Option expiration event.
              - `OPTIONASSIGNMENT` - Option assignment event.
              - `OPTIONEXERCISE` - Option exercise event.
              - `TRANSFER` - Transfer of assets from one account to another.
              - `SPLIT` - A stock share split.
          schema:
            type: string
            example: BUY,SELL,DIVIDEND
        - in: query
          required: true
          name: userId
          schema:
            description: >-
              SnapTrade User ID. This is chosen by the API partner and can be
              any string that is a) unique to the user, and b) immutable for the
              user. It is recommended to NOT use email addresses for this
              property because they are usually not immutable.
            type: string
            example: snaptrade-user-123
        - in: query
          required: true
          name: userSecret
          schema:
            description: >-
              SnapTrade User Secret. This is a randomly generated string and
              should be stored securely. If compromised, please rotate it via
              the [rotate user secret
              endpoint](/reference/Authentication/Authentication_resetSnapTradeUserSecret).
            type: string
            example: adf2aa34-8219-40f7-a6b3-60156985cc61
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: A paginated list of UniversalActivity objects.
                type: object
                properties:
                  data:
                    type: array
                    items:
                      description: A transaction or activity from an institution
                      type: object
                      properties:
                        id:
                          description: >
                            Unique identifier for the transaction. This is the
                            ID used to reference the transaction in SnapTrade.


                            Please note that this ID _can_ change if the
                            transaction is deleted and re-added. Under normal
                            circumstances, SnapTrade does not delete
                            transactions. The only time this would happen is if
                            SnapTrade re-fetches and reprocesses the data from
                            the brokerage, which is rare. If you require a
                            stable ID, please let us know and we can work with
                            you to provide one.
                          type: string
                          example: 2f7dc9b3-5c33-4668-3440-2b31e056ebe6
                        symbol:
                          description: >-
                            The security for the transaction. The field is
                            `null` if the transaction is not related to a
                            security (like a deposit, withdrawal, fee, etc).
                            SnapTrade does a best effort to map the brokerage's
                            symbol. In cases where the brokerage symbol is not
                            recognized, the field will be set to `null`.
                          nullable: true
                          allOf:
                            - description: >-
                                Uniquely describes a single security + exchange
                                combination across all brokerages.
                              type: object
                              properties:
                                id:
                                  description: >-
                                    Unique identifier for the symbol within
                                    SnapTrade. This is the ID used to reference
                                    the symbol in SnapTrade API calls.
                                  type: string
                                  format: uuid
                                  example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                symbol:
                                  description: >-
                                    The security's trading ticker symbol. For
                                    example "AAPL" for Apple Inc. We largely
                                    follow the [Yahoo Finance ticker
                                    format](https://help.yahoo.com/kb/SLN2310.html)(click
                                    on "Yahoo Finance Market Coverage and Data
                                    Delays"). For example, for securities traded
                                    on the Toronto Stock Exchange, the symbol
                                    has a '.TO' suffix. For securities traded on
                                    NASDAQ or NYSE, the symbol does not have a
                                    suffix.
                                  type: string
                                  example: VAB.TO
                                raw_symbol:
                                  description: >-
                                    The raw symbol is `symbol` with the exchange
                                    suffix removed. For example, if `symbol` is
                                    "VAB.TO", then `raw_symbol` is "VAB".
                                  type: string
                                  example: VAB
                                description:
                                  description: >-
                                    A human-readable description of the
                                    security. This is usually the company name
                                    or ETF name.
                                  type: string
                                  example: VANGUARD CDN AGGREGATE BOND INDEX ETF
                                  nullable: true
                                currency:
                                  description: >-
                                    The currency in which the security is
                                    traded.
                                  allOf:
                                    - description: Describes a currency object.
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                          format: uuid
                                          description: >-
                                            Unique identifier for the currency. This
                                            is the UUID used to reference the
                                            currency in SnapTrade.
                                          example: 87b24961-b51e-4db8-9226-f198f6518a89
                                        code:
                                          type: string
                                          description: >-
                                            The ISO-4217 currency code for the
                                            currency.
                                          example: USD
                                        name:
                                          type: string
                                          description: A human-friendly name of the currency.
                                          example: US Dollar
                                exchange:
                                  description: >-
                                    The exchange on which the security is listed
                                    and traded.
                                  allOf:
                                    - description: >-
                                        Describes a single stock or crypto
                                        exchange.
                                      type: object
                                      properties:
                                        id:
                                          description: Unique ID for the exchange in SnapTrade.
                                          type: string
                                          format: uuid
                                          example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                        code:
                                          description: >-
                                            A short name for the exchange. For
                                            standardized exchange code, please use
                                            the `mic_code` field.
                                          type: string
                                          example: TSX
                                        mic_code:
                                          description: >-
                                            The [Market Identifier
                                            Code](https://en.wikipedia.org/wiki/Market_Identifier_Code)
                                            (MIC) for the exchange.
                                          type: string
                                          example: XTSE
                                          nullable: true
                                        name:
                                          description: The full name of the exchange.
                                          type: string
                                          example: Toronto Stock Exchange
                                        timezone:
                                          description: >-
                                            The timezone for the trading hours
                                            (`start_time` and `close_time`) of the
                                            exchange.
                                          type: string
                                          example: America/New_York
                                        start_time:
                                          description: >-
                                            The time when the exchange opens for
                                            trading.
                                          type: string
                                          example: '09:30:00'
                                        close_time:
                                          description: >-
                                            The time when the exchange closes for
                                            trading.
                                          type: string
                                          example: '16:00:00'
                                        suffix:
                                          description: >-
                                            The suffix to be appended to the symbol
                                            when trading on this exchange. For
                                            example, the suffix for the Toronto
                                            Stock Exchange is `.TO`. See
                                            `UniversalSymbol->symbol` and
                                            `UniversalSymbol->raw_symbol` for more
                                            detail.
                                          type: string
                                          example: .TO
                                          nullable: true
                                type:
                                  type: object
                                  description: >-
                                    The type of security. For example, "Common
                                    Stock" or "ETF".
                                  properties:
                                    id:
                                      description: >-
                                        Unique identifier for the security type
                                        within SnapTrade. This is the ID used to
                                        reference the security type in SnapTrade
                                        API calls.
                                      type: string
                                      format: uuid
                                      example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                    code:
                                      description: >
                                        A short code representing the security
                                        type. For example, "cs" for Common
                                        Stock. Here are some common values:
                                          - `ad` - ADR
                                          - `bnd` - Bond
                                          - `cs` - Common Stock
                                          - `cef` - Closed End Fund
                                          - `crypto` - Cryptocurrency
                                          - `et` - ETF
                                          - `oef` - Open Ended Fund
                                          - `pm` - Precious Metals
                                          - `ps` - Preferred Stock
                                          - `rt` - Right
                                          - `struct` - Structured Product
                                          - `ut` - Unit
                                          - `wi` - When Issued
                                          - `wt` - Warrant
                                      type: string
                                      example: cs
                                    description:
                                      description: >-
                                        A human-readable description of the
                                        security type. For example, "Common
                                        Stock" or "ETF".
                                      type: string
                                      example: Common Stock
                                    is_supported:
                                      deprecated: true
                                      description: >-
                                        This field is deprecated and should not
                                        be used. Please reach out to SnapTrade
                                        support if you have a valid use case for
                                        this.
                                      type: boolean
                                      example: true
                                figi_code:
                                  description: >-
                                    This identifier is unique per security per
                                    trading venue. See section 1.4.1 of the
                                    [FIGI
                                    Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                    for more information. This value should be
                                    the same as the `figi_code` in the
                                    `figi_instrument` child property.
                                  type: string
                                  example: BBG000B9XRY4
                                  nullable: true
                                figi_instrument:
                                  nullable: true
                                  allOf:
                                    - description: >-
                                        Financial Instrument Global Identifier
                                        (FIGI) information for the security. See
                                        [OpenFIGI](https://www.openfigi.com/)
                                        for more information.
                                      type: object
                                      properties:
                                        figi_code:
                                          description: >-
                                            This identifier is unique per security
                                            per trading venue. See section 1.4.1 of
                                            the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG000B9Y5X2
                                          nullable: true
                                        figi_share_class:
                                          description: >-
                                            This enables users to link multiple
                                            FIGIs for the same security in order to
                                            obtain an aggregated view across all
                                            countries and all exchanges. For
                                            example, `AAPL` has a different FIGI for
                                            each exchange/trading venue it is traded
                                            on. The `figi_share_class` is the same
                                            for all of these FIGIs. See section
                                            1.4.3 of the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG001S5N8V8
                                          nullable: true
                        currency_universal_symbol:
                          description: >-
                            The quote security for the transaction when `price`,
                            `amount`, and `fee` are denominated in a security
                            instead of a fiat currency. This is most common for
                            cryptocurrency trades. The field is `null` when the
                            transaction is denominated in `currency`.
                          nullable: true
                          allOf:
                            - description: >-
                                Uniquely describes a single security + exchange
                                combination across all brokerages.
                              type: object
                              properties:
                                id:
                                  description: >-
                                    Unique identifier for the symbol within
                                    SnapTrade. This is the ID used to reference
                                    the symbol in SnapTrade API calls.
                                  type: string
                                  format: uuid
                                  example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                symbol:
                                  description: >-
                                    The security's trading ticker symbol. For
                                    example "AAPL" for Apple Inc. We largely
                                    follow the [Yahoo Finance ticker
                                    format](https://help.yahoo.com/kb/SLN2310.html)(click
                                    on "Yahoo Finance Market Coverage and Data
                                    Delays"). For example, for securities traded
                                    on the Toronto Stock Exchange, the symbol
                                    has a '.TO' suffix. For securities traded on
                                    NASDAQ or NYSE, the symbol does not have a
                                    suffix.
                                  type: string
                                  example: VAB.TO
                                raw_symbol:
                                  description: >-
                                    The raw symbol is `symbol` with the exchange
                                    suffix removed. For example, if `symbol` is
                                    "VAB.TO", then `raw_symbol` is "VAB".
                                  type: string
                                  example: VAB
                                description:
                                  description: >-
                                    A human-readable description of the
                                    security. This is usually the company name
                                    or ETF name.
                                  type: string
                                  example: VANGUARD CDN AGGREGATE BOND INDEX ETF
                                  nullable: true
                                currency:
                                  description: >-
                                    The currency in which the security is
                                    traded.
                                  allOf:
                                    - description: Describes a currency object.
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                          format: uuid
                                          description: >-
                                            Unique identifier for the currency. This
                                            is the UUID used to reference the
                                            currency in SnapTrade.
                                          example: 87b24961-b51e-4db8-9226-f198f6518a89
                                        code:
                                          type: string
                                          description: >-
                                            The ISO-4217 currency code for the
                                            currency.
                                          example: USD
                                        name:
                                          type: string
                                          description: A human-friendly name of the currency.
                                          example: US Dollar
                                exchange:
                                  description: >-
                                    The exchange on which the security is listed
                                    and traded.
                                  allOf:
                                    - description: >-
                                        Describes a single stock or crypto
                                        exchange.
                                      type: object
                                      properties:
                                        id:
                                          description: Unique ID for the exchange in SnapTrade.
                                          type: string
                                          format: uuid
                                          example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                        code:
                                          description: >-
                                            A short name for the exchange. For
                                            standardized exchange code, please use
                                            the `mic_code` field.
                                          type: string
                                          example: TSX
                                        mic_code:
                                          description: >-
                                            The [Market Identifier
                                            Code](https://en.wikipedia.org/wiki/Market_Identifier_Code)
                                            (MIC) for the exchange.
                                          type: string
                                          example: XTSE
                                          nullable: true
                                        name:
                                          description: The full name of the exchange.
                                          type: string
                                          example: Toronto Stock Exchange
                                        timezone:
                                          description: >-
                                            The timezone for the trading hours
                                            (`start_time` and `close_time`) of the
                                            exchange.
                                          type: string
                                          example: America/New_York
                                        start_time:
                                          description: >-
                                            The time when the exchange opens for
                                            trading.
                                          type: string
                                          example: '09:30:00'
                                        close_time:
                                          description: >-
                                            The time when the exchange closes for
                                            trading.
                                          type: string
                                          example: '16:00:00'
                                        suffix:
                                          description: >-
                                            The suffix to be appended to the symbol
                                            when trading on this exchange. For
                                            example, the suffix for the Toronto
                                            Stock Exchange is `.TO`. See
                                            `UniversalSymbol->symbol` and
                                            `UniversalSymbol->raw_symbol` for more
                                            detail.
                                          type: string
                                          example: .TO
                                          nullable: true
                                type:
                                  type: object
                                  description: >-
                                    The type of security. For example, "Common
                                    Stock" or "ETF".
                                  properties:
                                    id:
                                      description: >-
                                        Unique identifier for the security type
                                        within SnapTrade. This is the ID used to
                                        reference the security type in SnapTrade
                                        API calls.
                                      type: string
                                      format: uuid
                                      example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                    code:
                                      description: >
                                        A short code representing the security
                                        type. For example, "cs" for Common
                                        Stock. Here are some common values:
                                          - `ad` - ADR
                                          - `bnd` - Bond
                                          - `cs` - Common Stock
                                          - `cef` - Closed End Fund
                                          - `crypto` - Cryptocurrency
                                          - `et` - ETF
                                          - `oef` - Open Ended Fund
                                          - `pm` - Precious Metals
                                          - `ps` - Preferred Stock
                                          - `rt` - Right
                                          - `struct` - Structured Product
                                          - `ut` - Unit
                                          - `wi` - When Issued
                                          - `wt` - Warrant
                                      type: string
                                      example: cs
                                    description:
                                      description: >-
                                        A human-readable description of the
                                        security type. For example, "Common
                                        Stock" or "ETF".
                                      type: string
                                      example: Common Stock
                                    is_supported:
                                      deprecated: true
                                      description: >-
                                        This field is deprecated and should not
                                        be used. Please reach out to SnapTrade
                                        support if you have a valid use case for
                                        this.
                                      type: boolean
                                      example: true
                                figi_code:
                                  description: >-
                                    This identifier is unique per security per
                                    trading venue. See section 1.4.1 of the
                                    [FIGI
                                    Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                    for more information. This value should be
                                    the same as the `figi_code` in the
                                    `figi_instrument` child property.
                                  type: string
                                  example: BBG000B9XRY4
                                  nullable: true
                                figi_instrument:
                                  nullable: true
                                  allOf:
                                    - description: >-
                                        Financial Instrument Global Identifier
                                        (FIGI) information for the security. See
                                        [OpenFIGI](https://www.openfigi.com/)
                                        for more information.
                                      type: object
                                      properties:
                                        figi_code:
                                          description: >-
                                            This identifier is unique per security
                                            per trading venue. See section 1.4.1 of
                                            the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG000B9Y5X2
                                          nullable: true
                                        figi_share_class:
                                          description: >-
                                            This enables users to link multiple
                                            FIGIs for the same security in order to
                                            obtain an aggregated view across all
                                            countries and all exchanges. For
                                            example, `AAPL` has a different FIGI for
                                            each exchange/trading venue it is traded
                                            on. The `figi_share_class` is the same
                                            for all of these FIGIs. See section
                                            1.4.3 of the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG001S5N8V8
                                          nullable: true
                        option_symbol:
                          description: >-
                            The option security for the transaction. The field
                            is `null` if the transaction is not related to an
                            option security (like a deposit, withdrawal, fee,
                            etc). SnapTrade does a best effort to map the
                            brokerage's option symbol. In cases where the
                            brokerage option symbol is not recognized, the field
                            will be set to `null`.
                          nullable: true
                          allOf:
                            - description: >-
                                Uniquely describes an option security + exchange
                                combination across all brokerages.
                              type: object
                              required:
                                - id
                                - ticker
                                - option_type
                                - strike_price
                                - expiration_date
                                - underlying_symbol
                              properties:
                                id:
                                  description: >-
                                    Unique identifier for the option symbol
                                    within SnapTrade. This is the ID used to
                                    reference the symbol in SnapTrade API calls.
                                  type: string
                                  format: uuid
                                  example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                ticker:
                                  description: >-
                                    The [OCC
                                    symbol](https://en.wikipedia.org/wiki/Option_symbol)
                                    for the option.
                                  type: string
                                  example: AAPL  261218C00240000
                                option_type:
                                  description: The type of option. Either "CALL" or "PUT".
                                  type: string
                                  enum:
                                    - CALL
                                    - PUT
                                  example: CALL
                                strike_price:
                                  description: The option strike price.
                                  type: number
                                  example: 240
                                expiration_date:
                                  description: The option expiration date.
                                  type: string
                                  format: date
                                  example: '2026-12-18'
                                is_mini_option:
                                  description: >-
                                    Whether the option is a mini option. Mini
                                    options have 10 underlying shares per
                                    contract instead of the standard 100.
                                  type: boolean
                                  example: false
                                underlying_symbol:
                                  description: >-
                                    Symbol object for the underlying security of
                                    an option.
                                  type: object
                                  properties:
                                    id:
                                      description: >-
                                        Unique identifier for the symbol within
                                        SnapTrade. This is the ID used to
                                        reference the symbol in SnapTrade API
                                        calls.
                                      type: string
                                      format: uuid
                                      example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                    symbol:
                                      description: >-
                                        The security's trading ticker symbol.
                                        For example "AAPL" for Apple Inc. We
                                        largely follow the [Yahoo Finance ticker
                                        format](https://help.yahoo.com/kb/SLN2310.html)(click
                                        on "Yahoo Finance Market Coverage and
                                        Data Delays"). For example, for
                                        securities traded on the Toronto Stock
                                        Exchange, the symbol has a '.TO' suffix.
                                        For securities traded on NASDAQ or NYSE,
                                        the symbol does not have a suffix.
                                      type: string
                                      example: SPY
                                    raw_symbol:
                                      description: >-
                                        The raw symbol is `symbol` with the
                                        exchange suffix removed. For example, if
                                        `symbol` is "VAB.TO", then `raw_symbol`
                                        is "VAB".
                                      type: string
                                      example: VAB
                                    description:
                                      description: >-
                                        A human-readable description of the
                                        security. This is usually the company
                                        name or ETF name.
                                      type: string
                                      example: SPDR S&P 500 ETF Trust
                                      nullable: true
                                    currency:
                                      description: >-
                                        The currency in which the security is
                                        traded.
                                      allOf:
                                        - description: Describes a currency object.
                                          type: object
                                          properties:
                                            id:
                                              type: string
                                              format: uuid
                                              description: >-
                                                Unique identifier for the currency. This
                                                is the UUID used to reference the
                                                currency in SnapTrade.
                                              example: 87b24961-b51e-4db8-9226-f198f6518a89
                                            code:
                                              type: string
                                              description: >-
                                                The ISO-4217 currency code for the
                                                currency.
                                              example: USD
                                            name:
                                              type: string
                                              description: A human-friendly name of the currency.
                                              example: US Dollar
                                    exchange:
                                      description: >-
                                        The exchange on which the security is
                                        listed and traded.
                                      allOf:
                                        - description: US Stock Exchange
                                          type: object
                                          properties:
                                            id:
                                              type: string
                                              format: uuid
                                              example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                            code:
                                              type: string
                                              example: ARCX
                                            mic_code:
                                              type: string
                                              example: ARCA
                                              nullable: true
                                            name:
                                              type: string
                                              example: NYSE ARCA
                                            timezone:
                                              type: string
                                              example: America/New_York
                                            start_time:
                                              type: string
                                              example: '09:30:00'
                                            close_time:
                                              type: string
                                              example: '16:00:00'
                                            suffix:
                                              type: string
                                              example: None
                                              nullable: true
                                            allows_cryptocurrency_symbols:
                                              type: boolean
                                              example: false
                                    type:
                                      description: >-
                                        The type of security. For example,
                                        "Common Stock" or "ETF".
                                      allOf:
                                        - type: object
                                          description: >-
                                            The type of security. For example,
                                            "Common Stock" or "ETF".
                                          properties:
                                            id:
                                              description: >-
                                                Unique identifier for the security type
                                                within SnapTrade. This is the ID used to
                                                reference the security type in SnapTrade
                                                API calls.
                                              type: string
                                              format: uuid
                                              example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                            code:
                                              description: >
                                                A short code representing the security
                                                type. For example, "cs" for Common
                                                Stock. Here are some common values:
                                                  - `ad` - ADR
                                                  - `bnd` - Bond
                                                  - `cs` - Common Stock
                                                  - `cef` - Closed End Fund
                                                  - `crypto` - Cryptocurrency
                                                  - `et` - ETF
                                                  - `oef` - Open Ended Fund
                                                  - `pm` - Precious Metals
                                                  - `ps` - Preferred Stock
                                                  - `rt` - Right
                                                  - `struct` - Structured Product
                                                  - `ut` - Unit
                                                  - `wi` - When Issued
                                                  - `wt` - Warrant
                                              type: string
                                              example: cs
                                            description:
                                              description: >-
                                                A human-readable description of the
                                                security type. For example, "Common
                                                Stock" or "ETF".
                                              type: string
                                              example: Common Stock
                                            is_supported:
                                              deprecated: true
                                              description: >-
                                                This field is deprecated and should not
                                                be used. Please reach out to SnapTrade
                                                support if you have a valid use case for
                                                this.
                                              type: boolean
                                              example: true
                                    figi_code:
                                      description: >-
                                        This identifier is unique per security
                                        per trading venue. See section 1.4.1 of
                                        the [FIGI
                                        Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                        for more information. This value should
                                        be the same as the `figi_code` in the
                                        `figi_instrument` child property.
                                      type: string
                                      example: BBG000B9XRY4
                                      nullable: true
                                    figi_instrument:
                                      nullable: true
                                      allOf:
                                        - description: >-
                                            Financial Instrument Global Identifier
                                            (FIGI) information for the security. See
                                            [OpenFIGI](https://www.openfigi.com/)
                                            for more information.
                                          type: object
                                          properties:
                                            figi_code:
                                              description: >-
                                                This identifier is unique per security
                                                per trading venue. See section 1.4.1 of
                                                the [FIGI
                                                Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                                for more information.
                                              type: string
                                              example: BBG000B9Y5X2
                                              nullable: true
                                            figi_share_class:
                                              description: >-
                                                This enables users to link multiple
                                                FIGIs for the same security in order to
                                                obtain an aggregated view across all
                                                countries and all exchanges. For
                                                example, `AAPL` has a different FIGI for
                                                each exchange/trading venue it is traded
                                                on. The `figi_share_class` is the same
                                                for all of these FIGIs. See section
                                                1.4.3 of the [FIGI
                                                Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                                for more information.
                                              type: string
                                              example: BBG001S5N8V8
                                              nullable: true
                                    currencies:
                                      deprecated: true
                                      description: >-
                                        This field is deprecated and should not
                                        be used. Please reach out to SnapTrade
                                        support if you have a valid use case for
                                        this.
                                      type: array
                                      items:
                                        description: Describes a currency object.
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                            format: uuid
                                            description: >-
                                              Unique identifier for the currency. This
                                              is the UUID used to reference the
                                              currency in SnapTrade.
                                            example: 87b24961-b51e-4db8-9226-f198f6518a89
                                          code:
                                            type: string
                                            description: >-
                                              The ISO-4217 currency code for the
                                              currency.
                                            example: USD
                                          name:
                                            type: string
                                            description: A human-friendly name of the currency.
                                            example: US Dollar
                        price:
                          description: >-
                            The price of the security for the transaction. This
                            is mostly applicable to `BUY`, `SELL`, and
                            `DIVIDEND` transactions. For option transactions,
                            this represents the price per share of the option
                            contract.
                          type: number
                          example: 0.4
                        units:
                          description: >-
                            The number of units of the security for the
                            transaction. This is mostly applicable to `BUY`,
                            `SELL`, and `DIVIDEND` transactions.
                          type: number
                          example: 5.2
                        amount:
                          description: >-
                            The amount of the transaction denominated in
                            `currency`. This can be positive or negative. In
                            general, transactions that positively affect the
                            account balance (like sell, deposits, dividends,
                            etc) will have a positive amount, while transactions
                            that negatively affect the account balance (like
                            buy, withdrawals, fees, etc) will have a negative
                            amount.
                          type: number
                          example: 263.82
                          nullable: true
                        currency:
                          description: >-
                            The currency in which the transaction `price`,
                            `amount`, and `fee` are denominated. This is `null`
                            when those values are denominated in
                            `currency_universal_symbol`.
                          nullable: true
                          allOf:
                            - description: Describes a currency object.
                              type: object
                              properties:
                                id:
                                  type: string
                                  format: uuid
                                  description: >-
                                    Unique identifier for the currency. This is
                                    the UUID used to reference the currency in
                                    SnapTrade.
                                  example: 87b24961-b51e-4db8-9226-f198f6518a89
                                code:
                                  type: string
                                  description: The ISO-4217 currency code for the currency.
                                  example: USD
                                name:
                                  type: string
                                  description: A human-friendly name of the currency.
                                  example: US Dollar
                        type:
                          type: string
                          description: >
                            A string representing the type of transaction.
                            SnapTrade does a best effort to categorize the
                            brokerage transaction types into a common set of
                            values. Here are some of the most popular values:
                              - `BUY` - Asset bought.
                              - `SELL` - Asset sold.
                              - `DIVIDEND` - Dividend payout.
                              - `CONTRIBUTION` - Cash contribution.
                              - `WITHDRAWAL` - Cash withdrawal.
                              - `REI` - Dividend reinvestment.
                              - `STOCK_DIVIDEND` - A type of dividend where a company distributes shares instead of cash
                              - `INTEREST` - Interest deposited into the account.
                              - `FEE` - Fee withdrawn from the account.
                              - `TAX` - A tax related fee.
                              - `OPTIONEXPIRATION` - Option expiration event.
                              - `OPTIONASSIGNMENT` - Option assignment event.
                              - `OPTIONEXERCISE` - Option exercise event.
                              - `TRANSFER` - Transfer of asset(s) from one account to another.
                              - `EXTERNAL_ASSET_TRANSFER_IN` - Incoming transfer of an asset from an external account to this account.
                              - `EXTERNAL_ASSET_TRANSFER_OUT` - Outgoing transfer of an asset from this account to an external account.
                              - `SPLIT` - A stock share split.
                              - `ADJUSTMENT` - A one time adjustment of the account's cash balance or shares of an asset
                          example: BUY
                        option_type:
                          type: string
                          example: BUY_TO_OPEN
                          description: >
                            If an option `BUY` or `SELL` transaction, this
                            further specifies the type of action. The possible
                            values are:

                            - BUY_TO_OPEN

                            - BUY_TO_CLOSE

                            - SELL_TO_OPEN

                            - SELL_TO_CLOSE
                        description:
                          description: >-
                            A human-readable description of the transaction.
                            This is usually the brokerage's description of the
                            transaction.
                          type: string
                          example: >-
                            WALT DISNEY UNIT DIST ON 21 SHS REC 12/31/21 PAY
                            01/06/22
                        trade_date:
                          description: >-
                            The recorded time for the transaction. The
                            granularity of this timestamp depends on the
                            brokerage. Some brokerages provide the exact time of
                            the transaction, while others provide only the date.
                            Please check the [integrations
                            page](https://support.snaptrade.com/brokerages-table?v=6fab8012ade6441fa0c6d9af9c55ce3a)
                            for the specific brokerage to see the granularity of
                            the timestamps. Note that even though the field is
                            named `trade_date`, it can represent any type of
                            transaction, not just trades.
                          type: string
                          format: date-time
                          example: '2024-03-22T16:27:55.000Z'
                          nullable: true
                        settlement_date:
                          description: The date on which the transaction is settled.
                          type: string
                          format: date-time
                          example: '2024-03-26T00:00:00.000Z'
                        fee:
                          description: >-
                            Any fee associated with the transaction if provided
                            by the brokerage.
                          type: number
                          example: 0
                        fx_rate:
                          type: number
                          example: 1.032
                          nullable: true
                          description: >-
                            The forex conversion rate involved in the
                            transaction if provided by the brokerage. Used in
                            cases where securities of one currency are purchased
                            in a different currency, and the forex conversion is
                            automatic. In those cases, price, amount and fee
                            will be in the top level currency (activity ->
                            currency)
                        institution:
                          description: >-
                            The institution that the transaction is associated
                            with. This is usually the brokerage name.
                          type: string
                          example: Robinhood
                        external_reference_id:
                          type: string
                          nullable: true
                          description: >-
                            Reference ID from brokerage used to identify related
                            transactions. For example if an order comprises of
                            several transactions (buy, fee, fx), they can be
                            grouped if they share the same
                            `external_reference_id`
                          example: 2f7dc9b3-5c33-4668-3440-2b31e056ebe6
                  pagination:
                    description: Details about the pagination of the results.
                    type: object
                    properties:
                      offset:
                        type: integer
                        example: 0
                        description: The starting point of the paginated results.
                      limit:
                        type: integer
                        example: 100
                        description: The maximum number of items to return in the response.
                      total:
                        type: integer
                        example: 1000
                        description: >-
                          The total number of items available to be returned
                          over the API.
        default:
          description: Unexpected error

```